import API from "./Api"
// @ts-ignore
import { CommonUtil } from "@/utils/CommonUtil"
// @ts-ignore
import router from "@/router"
import { ElMessage } from "element-plus"

// 错误处理
function errorHandle(data) {
  CommonUtil.debounce(() => {
    ElMessage.error(data.message)
  }, 1000)
}

// 处理handle
function handle(data) {
  if (data.code !== 200) {
    if (data.code === 401) {
      CommonUtil.debounce(() => {
        router.push("/login")
      }, 1000)
    }
    throw Error(data.msg)
  }
  return data.data
}

API.setResponseHandle(handle)
API.setErrorHandle(errorHandle)

export default {
  // 登录
  register: (params) => API.POSTJSON("/tenant/v1/tenant/create", params),
  login: (params) => API.POSTJSON("/user/v1/login", params),
  appList: (params) => API.POSTJSON("/tenant/v1/app/list", params),
  appCreate: (params) => API.POSTJSON("/tenant/v1/app/create", params)
}
