import "./assets/main.css"
import "./style/common.css"

import { createApp } from "vue"
import { createPinia } from "pinia"

import ElementPlus from "element-plus"
import "element-plus/dist/index.css"

import App from "./App.vue"
import router from "./router"

const app = createApp(App)
import * as ElementPlusIconsVue from "@element-plus/icons-vue"

app.use(ElementPlus)
// app.use(ElementPlus, { size: 'small', zIndex: 3000 })
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  app.component(key, component)
}
app.use(createPinia())
app.use(router)

app.mount("#app")
