import { createRouter, createWebHashHistory } from "vue-router"
import HomeView from "../views/HomeView.vue"
import LoginView from "@/views/LoginView.vue"
import RegisterView from "@/views/RegisterView.vue"
import MainView from "@/views/MainView.vue"
import ImHomeView from "@/views/im/ImHomeView.vue"
import AppHomeView from "@/views/app/AppHomeView.vue"

const router = createRouter({
  history: createWebHashHistory(),
  routes: [
    {
      path: "/",
      name: "home",
      component: HomeView
    },
    {
      path: "/about",
      name: "about",
      // route level code-splitting
      // this generates a separate chunk (About.[hash].js) for this route
      // which is lazy-loaded when the route is visited.
      component: () => import("../views/AboutView.vue")
    },
    {
      path: "/login",
      name: "登录",
      component: LoginView
    },
    {
      path: "/register",
      name: "注册",
      component: RegisterView
    },
    {
      path: "/main",
      name: "主页",
      component: MainView,
      children: [
        {
          path: "/about",
          name: "about",
          // route level code-splitting
          // this generates a separate chunk (About.[hash].js) for this route
          // which is lazy-loaded when the route is visited.
          component: () => import("../views/AboutView.vue")
        },
        {
          path: "/im",
          name: "IM信息",
          component: ImHomeView
        },
        {
          path: "/appManager",
          name: "应用信息",
          component: AppHomeView
        }
      ]
    }
  ]
})

export default router
